import { html as n } from "lit";
import { property as a } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, m = Object.getOwnPropertyDescriptor, i = (p, t, o, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, o) : t, s = p.length - 1, l; s >= 0; s--)
    (l = p[s]) && (e = (r ? l(t, o, e) : l(e)) || e);
  return r && e && g(t, o, e), e;
};
let c = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--checkboxSelectedLarge", this.class = "c-pieIcon c-pieIcon--checkboxSelectedLarge", this.name = "IconCheckboxSelectedLarge";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--checkboxSelectedLarge"><path d="M24.75 27.375H7.25a2.633 2.633 0 0 1-2.625-2.625V7.25A2.633 2.633 0 0 1 7.25 4.625h17.5a2.633 2.633 0 0 1 2.625 2.625v17.5a2.633 2.633 0 0 1-2.625 2.625Zm-17.5-21a.878.878 0 0 0-.875.875v17.5c0 .481.394.875.875.875h17.5a.878.878 0 0 0 .875-.875V7.25a.878.878 0 0 0-.875-.875H7.25Zm6.79 14c.429 0 .84-.184 1.129-.499l6.72-7.245-1.287-1.19-6.57 7.079-2.495-2.809-1.312 1.164 2.66 3.001c.289.315.7.49 1.129.49l.026.009Z"></path></svg>`;
  }
};
i([
  a({ type: String, reflect: !0 })
], c.prototype, "size", 2);
i([
  a({ type: String, reflect: !0 })
], c.prototype, "class", 2);
c = i([
  f("icon-checkbox-selected-large")
], c);
export {
  c as IconCheckboxSelectedLarge
};
